#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-D3AgAVItlNl7ojyuL7Sewm
key:                  ghcide-1.4.1.0-D3AgAVItlNl7ojyuL7Sewm
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d5f52a8a3880ac8249082ab7589a3160
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.1.0-D3AgAVItlNl7ojyuL7Sewm
depends:
    Diff-0.4.1-LL6jXQirC7S3SPfGykae6l
    Glob-0.10.2-4sSupuhkxx8AtMxZQBpWpP
    aeson-1.5.6.0-GZUW0RX6wR0GNyId2zbUZx
    aeson-pretty-0.8.9-JgwmWNQqkZ88vmb6GH5qjO array-0.5.4.0
    async-2.2.4-2ufaJCQRySkEO7WXEoMHRn base-4.15.1.0
    base16-bytestring-1.0.2.0-GeQDe3vijLVHKiVu6WlGYv binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-AFOHz2cPHqHKOOqaLPjB8V
    case-insensitive-1.2.1.0-APguMq08drVChfWtieJFqR containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-CUzJVRu9nqB0zNmc92AuW
    data-default-0.7.1.1-IhQr772Rp9DBpduGZCnNjb deepseq-1.4.5.0
    dependent-map-0.4.0.0-8jvA1vrWD2RBH4QRZZBVWo
    dependent-sum-0.7.1.0-8TE5ch1WfqOGdh8V4WI9RB directory-1.3.6.2
    dlist-1.0-9urp3Veuit69E8zxpJRI9E
    extra-1.7.10-Kwmd7Dlox7aIMMY5Iu0pez filepath-1.4.2.1
    fingertree-0.1.5.0-DnlBKkyE52zLFSY342TQRY
    fuzzy-0.1.0.1-8JirEOHa8dxFZfLC1wUe5q ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-6gMdEE398UH8uAk9Fwcr50
    ghc-exactprint-0.6.4-6YAvXVsvUI9CHT4bkDkDxi
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-6HQQrtCkN6s9XNjvo0pqry
    hashable-1.4.0.2-A7cEvE0oiq92I0kqqbT0NC
    heapsize-0.3.0.1-JzwPgwHBNbYC7qHyRfdpJs
    hie-bios-0.7.6-FhkAa2WmoMWJDMJ3ipxrSZ
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-AmqhE8EZhpmFf7cZm0FOKc
    hls-graph-1.4.0.0-JT57njY9tT2HUDspVVAI52
    hls-plugin-api-1.2.0.0-1rx2egVo7t9CNIbeA3bvS4
    hslogger-1.3.1.0-G5JaOneE5UKJCibUMYswTf
    implicit-hie-cradle-0.3.0.5-1ksLj60MliWBAsc19VRxUR
    lens-5.1-4XRUjxQvXID6iuJqyxGAve lsp-1.2.0.1-B1mSpT4gESXHTaHsXxqRgE
    lsp-types-1.3.0.1-DosavwTg7o5DbpgIJ92hl9 mtl-2.2.2
    network-uri-2.6.4.1-LX64IFesN4tEtd5HBD7ndF
    opentelemetry-0.7.0-CCX4dUbEpTYCwHcjtlxcw9
    optparse-applicative-0.16.1.0-1H44F3cRcyQ29gK6xwf0fE
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-Jwte372z3Pm2SUwtVyPZxC
    prettyprinter-ansi-terminal-1.1.3-D7Ml0aBpvoH30pFdk4AuXB
    regex-tdfa-1.3.1.2-6SUsbMu4R9oLgrTCly3U5h
    retrie-1.1.0.0-6tRr0b4sl7JB5XKCWXOz92
    rope-utf16-splay-0.3.2.0-42zqfgpHoqiJaeNUPpDzAy
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.2-J2KhznimyCAE8WdYoAkLF8
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.0-ClkclVTtaohCqQhM7e8d2p stm-2.5.0.0
    syb-0.7.2.1-6CQDGohRFIeFi4mwZMmgcI text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-61Jb7qt3UCM3rrD0hWxymx
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP
    utf8-string-1.0.2-4LgKQq3VFf5D8V5kQnnIBD
    vector-0.12.3.1-35O4ef8MZDE9Y9qFX9F3Ug

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

